@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2008 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}

setlocal

rem Check to see if TUAM_HOME is set before using.
if "%TUAM_HOME%" ==""  goto ERROR

rem Stop eWAS
echo Stopping eWAS..... this could take a few minutes.
echo .

IF "%1"=="" GOTO NoAuthentication
IF "%2"=="" GOTO NoAuthentication

echo Stopping eWAS with authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1 -username %1 -password %2
GOTO AfterStop

:NoAuthentication
echo Stopping eWAS without authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1

:AfterStop

rem Copy aucIntegrator.jar and aucProcessEngine.jar to TUAM_HOME\lib and 
rem TUAM_HOME\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib
echo Applying fix...
echo .  
COPY "%TUAM_HOME%\lib\aucIntegrator.jar" "%TUAM_HOME%\lib\aucIntegrator.iz32912"
COPY aucIntegrator.jar "%TUAM_HOME%\lib"

COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucIntegrator.jar" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucIntegrator.iz32912"
COPY aucIntegrator.jar "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib"

COPY "%TUAM_HOME%\lib\aucProcessEngine.jar" "%TUAM_HOME%\lib\aucProcessEngine.IZ41929"
COPY aucProcessEngine.jar "%TUAM_HOME%\lib"

COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucProcessEngine.jar" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucProcessEngine.IZ41929"
COPY aucProcessEngine.jar "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib"

COPY "%TUAM_HOME%\collectors\tdw\StandardTemplates.xml" "%TUAM_HOME%\collectors\tdw\StandardTemplates.xml.27339"
COPY Collectors\TDW\StandardTemplates.xml "%TUAM_HOME%\collectors\tdw\."

COPY "%TUAM_HOME%\lib\aucCommon.jar" "%TUAM_HOME%\lib\aucCommon.iz34261"
COPY aucCommon.jar "%TUAM_HOME%\lib"

COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucCommon.jar" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucCommon.jar.iz34261"
COPY aucCommon.jar "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib"

COPY "%TUAM_HOME%\collectors\unixlinux\ituam_uc_aix5.tar" "%TUAM_HOME%\collectors\unixlinux\ituam_uc_aix5.tar.IZ32912"
COPY ituam_uc_aix5.tar "%TUAM_HOME%\collectors\unixlinux\ituam_uc_aix5.tar"

rem Restart eWas
echo .
echo Starting eWAS....
echo .
call "%TUAM_HOME%/ewas/bin/startServer.bat" server1
echo .
echo Fix has been applied sucessfully.
goto DONE

:ERROR
echo Your environment variable TUAM_HOME is not set.   Set the TUAM_HOME' variable to the install location of TUAM 7.1 and then rerun fix.

:DONE
endlocal

