Rem
Rem ################################################################ {COPYRIGHT-TOP}
Rem Licensed Materials - Property of IBM
Rem 
Rem "Restricted Materials of IBM"
Rem 
Rem IBM Tivoli Usage and Accounting Manager
Rem 5724-O33, 5765-UAV, 5765-UA7, 44E7863
Rem (c) Copyright IBM Corp. 1996,2004, 2007
Rem 
Rem US Governmant Users Restricted Rights - Use, duplication or
Rem disclosure restricted by GSA ADP Schedule Contract with
Rem IBM Corp.
Rem ############################################################### {COPYRIGHT-END}
Rem 
Rem   Module:   ituam_view.sql
Rem   
Rem   Purpose:  This SQL script creates the role ituam_view.  This role is
Rem		necessary for the ITUAM/UNIX Oracle user to access the proper
Rem		V$ system tables. This role only grants SELECT capabilities
Rem		to these system tables. 
Rem
Rem   EJS V1.1 05-Sep-1995
Rem
Rem		Created this script.
Rem 
Rem   EJS V1.2 06-Sep-1995
Rem
Rem		Grant role to ITUAM/UNIX Oracle user
Rem		(NOTE:	This user may need to be changed for each 
Rem			instance amd site.)
Rem 
Rem		Modifications to handle the ITUAM_PROJECT table used
Rem		for ITUAM/UNIX Oracle project accounting.
Rem
Rem   EJS V1.3 20-Dec-1995
Rem
Rem		Added other privileges that may need to be granted to allow
Rem		ituam user to create a table.
Rem
Rem   EJS V1.4 24-Apr-1996
Rem
Rem		Added grant privilege for statname table.
Rem
Rem   EJS V1.5 19-Jun-1998
Rem
Rem		Added grant privilege for dba_segments table for Oracle storage
Rem		sampling.  Added create public synonym for dba_segments just
Rem		in case this synonym does not exist.
Rem
Rem   GCB V1.6 05-Feb-2003
Rem
Rem             Uncommented grant SELECT on DBA_SEGMENTS.
Rem
Rem   GCB V1.7 21-Jan-2004
Rem
Rem		Removed table creation section used by Project Accounting.
Rem		This feature is no longer supported.
Rem
Rem   GCB V1.8 22-Sep-2004
Rem
Rem		Added SELECT on V$DATAFILE to ITUAM_VIEW role.
Rem
Rem   GCB V1.9 23-Aug-2005
Rem
Rem		Changed account name to "cims".
Rem
Rem   GCB V1.10 27-Feb-2006
Rem
Rem		Changed account name to "ituam".
Rem

set echo on;

Rem Drop role before creating to eliminate current settings for role;
Rem an error (i.e., warning) will occur when this script is first run

drop role ituam_view;
create role ituam_view;

Rem Grant select to the appropriate V$ system tables
grant select on v_$database to ituam_view;
grant select on v_$datafile to ituam_view;
grant select on v_$process to ituam_view;
grant select on v_$session to ituam_view;
grant select on v_$sesstat to ituam_view;
grant select on v_$statname to ituam_view;
grant select on dba_segments to ituam_view;

Rem create public synonym dba_segments for dba_segments;

Rem Grant create session and ituam_view roles to the ITUAM/UNIX Oracle
Rem user.  
Rem NOTE: Make sure the user specified is the user designated as
Rem	  the ITUAM/UNIX Oracle user; this user is specified as the user
Rem	  through the ITUAM/UNIX Setup utility (A_setup).

grant create session to ituam;
grant ituam_view to ituam;

set echo off;

